#!/bin/sh
#
# GNU configure for WWFS clients.
# Do you want to recompile ls, cp, cat, gzip etc. for WWFS?
# Then this shell script is for you.  You don't have to modify
# source code or Makefiles.
#
# Just type
#	wwconfigure
# instead of
#	./configure
#
# Author: DEMIZU Noritoshi <nori-d@is.aist-nara.ac.jp>
# Modified: Youki Kadobayashi <youki@wide.ad.jp>
#

# This doesn't work anymore...
#DEFS="-Dopen=ww_open -Dopendir=ww_opendir -Dfopen=ww_fopen" LIBS="-lww" \

# Another try, which does work on newer versions of fileutils & textutils.
CC="gcc -Dopen=ww_open -Dopendir=ww_opendir -Dfopen=ww_fopen" LIBS="-L/usr/local/ww/lib -lww" \
./configure $*
